%define name daloradius
%define major 0.9
%define minor 9
%define version %{major}_%{minor}
%define release 1.beta0
%define httpuser apache

%if %{?fedora}%{?rhel} >= 5
%global useselinux 1
%else
%global useselinux 0
%endif

Summary: RADIUS web management
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL
URL: http://sourceforge.net/projects/daloradius/
Group: application/internet
Source: %{name}-%{major}-%{minor}.tar.gz
Source1: httpd.conf
Packager: Daniel B. <daniel@firewall-services.com>
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-%{version}

Requires: php
Requires: httpd

%description
daloRADIUS is an advanced RADIUS web management application
aimed at managing hotspots and general-purpose ISP deployments.
It features user management, graphical reporting, accounting,
a billing engine and integrates with GoogleMaps for geo-locating.

%prep
%setup -n %{name}-%{major}-%{minor}

%build
# empty build

%install

%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}/%{_datadir}/%{name}
for a in $(find ./ -mindepth 1 -maxdepth 1 -type d -print); do
    cp -r $a %{buildroot}/%{_datadir}/%{name}/
done
%{__rm} -rf %{buildroot}/%{_datadir}/%{name}/contrib

cp *.php %{buildroot}/%{_datadir}/%{name}/
%{__rm} -rf .htaccess .htpasswd

%{__rm} -f %{buildroot}/%{_datadir}/%{name}/library/daloradius.conf.php.sample
%{__rm} -Rf %{buildroot}/%{_datadir}/%{name}/var
%{__mkdir} -p %{buildroot}/%{_localstatedir}/lib/%{name}/backup

%{__mkdir} -p %{buildroot}/%{_sysconfdir}/httpd/conf.d/
%{__install} -m 0644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/httpd/conf.d/%{name}.conf
sed -i -e "s|__ROOT_DIR__|%{_datadir}/%{name}|g" \
       -e "s|__VAR_DIR__|%{_localstatedir}/lib/%{name}|g" \
       %{buildroot}/%{_sysconfdir}/httpd/conf.d/%{name}.conf

%clean
rm -rf %{buildroot}

%post
%if %{useselinux}
(
# New File context
semanage fcontext -a -s system_u -t httpd_var_lib_t -r s0 "%{_localstatedir}/lib/%{name}(/.*)?"
# files created by app
restorecon -R %{_localstatedir}/lib/%{name}
) &>/dev/null || :
%endif

%postun
%if %{useselinux}
if [ "$1" -eq "0" ]; then
    # Remove the File Context
    (
    semanage fcontext -d "%{_localstatedir}/lib/%{name}(/.*)?"
    ) &>/dev/null || :
fi
%endif

%files
%defattr(-,root,root)
%doc INSTALL* LICENSE ChangeLog FAQS
%doc %dir contrib
%{_datadir}/%{name}
%dir %attr(770,root,%{httpuser}) %{_localstatedir}/lib/%{name}/backup
%config(noreplace) %attr(660,root,%{httpuser}) %{_datadir}/%{name}/library/daloradius.conf.php
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf

%changelog
* Wed Nov 7 2012 Daniel B. <daniel@firewall-services.com> - 0.9-9-1
- initial release

